btllib

Static Public Attributes | List of all members
btllib::SeqReader::Flag Struct Reference

## Static Public Attributes
static const unsigned | FOLD_CASE = 1
static const unsigned | TRIM_MASKED = 2
static const unsigned | SHORT_MODE = 4
static const unsigned | LONG_MODE = 8

## Member Data Documentation

## ◆ FOLD_CASE

const unsigned btllib::SeqReader::Flag::FOLD_CASE = 1
| static

Fold all nucleotides into upper case.

## ◆ LONG_MODE

const unsigned btllib::SeqReader::Flag::LONG_MODE = 8
| static

Optimizes performance for long sequences (approx. >5kbp)

## ◆ SHORT_MODE

const unsigned btllib::SeqReader::Flag::SHORT_MODE = 4
| static

Optimizes performance for short sequences (approx. <=5kbp)

Examples
  seq_reader.cpp.

## ◆ TRIM_MASKED

const unsigned btllib::SeqReader::Flag::TRIM_MASKED = 2
| static

Trim masked (lower case) characters from the ends of sequences.

The documentation for this struct was generated from the following file:

- include/btllib/seq_reader.hpp